ARG IMAGE="docker.io/library/alpine"
ARG IMAGE_TAG="3.17"

FROM ${IMAGE}:${IMAGE_TAG}

ARG IMAGE
ARG IMAGE_TAG
ARG BUILD_DATE
ARG VCS_REF
ARG VCS_DESCRIPTION
ARG VCS_URL
ARG VCS_TITLE
ARG VCS_NAMESPACE
ARG LICENSE
ARG VERSION

# UNCOMMENT AND ADD ENV IF NEEDED
#
# ENV ANYTNING=XXXX \
#     OTHER=YYYY

VOLUME /data

COPY ./resources /resources

RUN /resources/final/build.sh && rm -rf /resources

WORKDIR /data

# UNCOMMENT AND ADD ENTRYPOINT IF NEEDED
#
# ENTRYPOINT ["binary"]

LABEL "org.opencontainers.image.created"=${BUILD_DATE} \
      "org.opencontainers.image.authors"="${VCS_NAMESPACE} - https://gitlab.com/wild-beavers/" \
      "org.opencontainers.image.url"="${VCS_URL}" \
      "org.opencontainers.image.documentation"="${VCS_URL}" \
      "org.opencontainers.image.source"="${VCS_URL}" \
      "org.opencontainers.image.version"="${VERSION}" \
      "org.opencontainers.image.vendor"="${VCS_NAMESPACE}" \
      "org.opencontainers.image.licenses"="${LICENSE}" \
      "org.opencontainers.image.title"="${VCS_TITLE}" \
      "org.opencontainers.image.description"="${VCS_DESCRIPTION}" \
      "org.opencontainers.image.base.name"="${IMAGE}:${IMAGE_TAG}" \

# UNCOMMENT AND ADD applications versions IF NEEDED
#       "org.opencontainers.applications.examples.version"=$PRE_COMMIT_VERSION \

# UNCOMMENT AND ADD dependencies versions IF NEEDED
#       "org.opencontainers.dependencies.examples.version"=$PRE_COMMIT_VERSION
